#if !defined( PLFILE_H_INCLUDED ) //{
#   define PLFILE_H_INCLUDED

#include "objfile.h"
#include "objfiter.h"
#include "playevnt.h"

class PlayListFile : public ObjFile<PlayEvent> {

public:

    typedef ObjFileIter<PlayEvent> Iter;

    PlayListFile();
    PlayListFile( const char * file_name );
    ~PlayListFile();

private:
    boolean IsNull( const PlayEvent & pe ) const;
    void  MakeNull( PlayEvent & pe );

    int ConvObjToRec( PlayEvent & event, char * rec, ObjIndexKey * key = 0 );
    int ConvRecToObj( char * rec, PlayEvent & event, ObjIndexKey * key = 0 );

};
#endif //} #if !defined( PLFILE_H_INCLUDED ) //{

