#if !defined( ISAMDEFS_H_INCLUDED) //{
#   define ISAMDEFS_H_INCLUDED

#include <stddef.h>
#include <string.h>

template <class T>
inline T
Min( T a, T b )
{
    return ( a < b ) ? a : b;
}

class String {
public:

    String( const char * str = "" )
        { ptr_ = new char[20]; bufLen_ = 20; *ptr_ = 0; }

    const char * gets() const { return ptr_; }
    void puts( const char * str ) {
        if ( bufLen_ <= strlen( str ) ) {
            delete [] ptr_;
            ptr_ = new char[ strlen( str ) + 1 ];
            bufLen_ = strlen( str ) + 1;
        }
        strcpy( ptr_, str );
    }

private:

    char * ptr_;
    size_t bufLen_;
};


typedef int boolean;
const boolean FALSE = 0;
const boolean TRUE = 1;

#endif //} if !defined( ISAMDEFS_H_INCLUDED)
